<?php
namespace MageWorx\OptionSwatches\Block\Swatches;

/**
 * Interceptor class for @see \MageWorx\OptionSwatches\Block\Swatches
 */
class Interceptor extends \MageWorx\OptionSwatches\Block\Swatches implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \Magento\Framework\Json\EncoderInterface $jsonEncoder, \MageWorx\OptionSwatches\Helper\Data $helper, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $jsonEncoder, $helper, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
